{% extends "index_app/base_page.html" %}
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Target | Malware Research Control Platform</title>
</head>
<!--{% block breadcrumb %}-->
    <!--<h1>PCP Dashboard<small>Add Target</small></h1>-->
<!--{% endblock %}-->
{% block content %}
<form action="/action/val_target_form/" method="post">
    {% csrf_token %}
    <div class="row">
        <div class="col-md-6">
            <!--Capability Form-->
            <div class="box box-info">
                <!-- box-header -->
                <div class="box-header with-border">
                    <h3 class="box-title">New Target Form</h3>
                </div>
                <!-- /.box-header -->
                <!-- box-body -->
                <form class="form-horizontal">
                    <div class="box-body">
                        <!--ServiceName-->
                        {% if plugin_list %}
                        <div id="fg_service_name" class="form-group">
                            <label for="service_name" class="col-sm-12 control-label content-header">Plugin Service</label>
                            <div class="col-sm-10">
                                <select class="form-control service_name" id="service_name" name="service_name" onchange="update_target_form()">
                                    <option value="" disabled selected > Plugin Service </option>
                                    {% for plugin_item in plugin_list %}
                                        <option id="{{ forloop.counter }}" value="{{ plugin_item.as_json }}">{{ plugin_item.Name}}
                                            {% for port_item in plugin_item.InternalPorts %}
                                                <!--slicing protocol and forward slash-->
                                                {{ port_item }}
                                            {% endfor %}
                                            {{ plugin_item.Interface}}
                                            {{ plugin_item.OS}}
                                        </option>
                                    {% endfor %}
                                </select>
                                <span id="fg_service_name_help" class="help-block">Select a Plugin Service</span>
                            </div>
                        </div>
                        
                        <!--Plugin Name-->
                        <div id="fg_plugin_name" class="form-group">
                            <label for="plugin_name" class="col-sm-3 control-label">Plugin Name</label>
                            <div class="col-sm-10">
                                <input class="form-control" id="plugin_name" name="plugin_name" placeholder="Plugin Name Here" readonly="readonly">
                                <span id="fg_plugin_name_help" class="help-block">Plugin Name</span>
                            </div>
                        </div>
                        {% endif %}
                        
                        <!--Port Number-->
                        <div id="fg_port" class="form-group">
                            <label for="port_num" class="col-sm-3 control-label">Port Number</label>
                            <div class="col-sm-10">
                                <input class="form-control" id="port_num" name="port_num" placeholder="Port Number Here" readonly="readonly">
                                <span id="fg_port_help" class="help-block">Port should be a number</span>
                            </div>
                        </div>

                        <!--Location Number-->
                        <div id="fg_location" class="form-group">
                            <label for="location_num" class="col-sm-3 control-label">Location</label>
                            <div class="col-sm-10">
                                <input class="form-control" id="location_num" name="location_num" placeholder="172.16.5. Something Here">
                                <span id="fg_location_help" class="help-block">Location must be IPv4 or IPv6 address</span>
                            </div>
                        </div>

                        <!--Plugin Name-->
                        <div id="fg_optional" class="form-group">
                            <label for="optional_char" class="col-sm-12 control-label content-header">Optional</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" id="optional_char" name="optional_char" maxlength="200" placeholder="Optional">
                                <span id="fg_optional_help" class="help-block">Plugin Name should be ASCII</span>
                            </div>
                        </div>

                    </div>
                    <!-- /.box-body -->
                    <!-- box-footer -->
                    <div class="box-footer">
                        <a href="/pcp_home/" class="btn btn-default">Cancel</a>
                        <button id="add_target_submit" onclick="this.disabled=true, this.form.submit()" onsubmit="return(verify_all);" type="submit" value="Submit" class="btn btn-info pull-right">Submit</button>
                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>
</form>
{% endblock %}